* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    overflow-x: hidden;
}

/*Section crée pour avoir une marge de 5vw de chaque côté, pour une meilleure lisibilité*/
.body {
    width: 90vw;
    align-self: center;
}

html,
body {
    margin: 0;
    height: 100vh;
    width: 100vw;
    font-family: 'Inter Tight', sans-serif;
    display: flex;
    flex-direction: column;
}

/*HEADER*/

header {
    width: 100vw;
    display: flex;
    align-items: center;
    padding: 2vw;
    position: sticky;
    justify-content: space-between;
}

header img {
    width: 30vw;
}

/*Page INDEX*/
.logo {
    width: 100vw;
    display: flex;
    justify-content: center;
    justify-self: center;
    align-self: center;
    margin: 15vw 0;
}

.introduction {
    background-color: #cc1b3060;
    border-radius: 20px;


}

.intro {
    padding: 5vw;
    font-size: 4vw;
    text-align: center;
}

.register-btn,
.login-btn {
    border: 2px solid #cc1b30;
    border-radius: 20px;
    background-color: transparent;
    width: 50vw;
    margin-top: 6vw;
    font-size: 6vw;
    padding: 3vw;
    color: #cc1b30;
    text-decoration: none;


}

.buttons {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin-top: 10vw;
}


/*PAGE INSCRIPTION et CONNEXION*/

h1 {
    justify-self: center;
    margin: 6vw 0 20vw 0;
}

label {
    font-weight: 900;
}

.input {
    padding: 12px;
    margin-top: 2vw;
    background-color: #cc1b3060;
    color: #ffffff;
    border-radius: 10vw;
    overflow: hidden;
}

/*Pour que le remplissage auto n'ait pas un background bleu ou blanc.*/
input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus, 
input:-webkit-autofill:active {
    -webkit-text-fill-color: #000000 ;
    -webkit-background-clip: text ;
}

.pseudo-container, .email-container{
    margin-bottom: 20vw;

}

#pseudo,
#email {
    background-color: transparent;
    border: transparent;
    height: 8vw;
    width: 100%;

}

#pseudo:focus,
#email:focus {
    outline: none;
    border: none;
}


.login,
.register {
    justify-self: center;
    font-size: 3vw;
    border: none;
    text-align: center;
    margin-top: 5vw;
}

.login a,
.register a {
    text-decoration: none;
    color: #cc1b30;

}

.msg {
    display: block;
    font-size: 13px;
    min-height: 18px;
    text-align: left;
    margin-left: 2vw;
}

/*FOOTER*/
footer {
    width: 100vw;
    height: auto;
    padding: 10px 0;
    margin-top: auto;
    text-align: center;
}